// gnome.xonotic.in.ua

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_wall/bluemetal1b_chrome
{
	qer_editorimage textures/base_wall/bluemetal1b.tga
	{
		map textures/base_wall/chrome_env2.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetal1b_shiny.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/bluemetal1b_shiny
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetal1b_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/base_wall/metalfloor_wall_15ow
{
	{
		map textures/base_wall/metalfloor_wall_15ow.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/sfx/hologirl.tga
		tcmod scale 2 .4
		tcmod scroll 6 .6
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_wall/metalfloor_wall_15ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/base_wall/symbol_bluelt1
{
	q3map_lightimage textures/base_wall/symbol_bluelt1_mask.tga
	q3map_surfacelight 100
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/symbol_bluelt1.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_wall/symbol_bluelt1_mask.tga
		blendfunc add
		rgbgen wave sawtooth .2 .05 0 7
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/invisible
{
	surfaceparm nolightmap
	{
		map textures/common/invisible.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nodraw
	cull disable
}

textures/sfx/diamond2cjumppad
{
	qer_editorimage textures/sfx/bouncepad01_diamond2ctga.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 500
	{
		map textures/sfx/bouncepad01_diamond2ctga.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/launchpad_diamond
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/launchpad_diamond.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/sfx/teleporter_500
{
	qer_editorimage textures/sfx/at_teleporter.tga
	q3map_lightimage textures/sfx/at_teleporter.tga
	surfaceparm nodrop
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	q3map_surfacelight 500
	{
		clampmap textures/sfx/at_teleporter.tga
		blendfunc add
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod stretch sin 0.8 0.2 0 0.2
		tcmod rotate 200
	}
	{
		clampmap textures/sfx/at_teleporter_white.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod rotate -50
		tcmod stretch sin 0.8 0.2 0 0.2
	}
}

textures/skies/columnblue_light450
{
	qer_editorimage textures/skies/columnblue.tga
	q3map_lightimage textures/env/blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/skies/columnblue.tga
		rgbgen identity
	}
}

textures/skies/space_sky_high
{
	qer_editorimage textures/env/ema_h_bk.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 512
	q3map_surfacelight 50
	q3map_globaltexture
	q3map_sun 0.5 0.5 0.4 125 -90 25
	skyparms textures/env/ema_h 128 -
}

